petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoComputeJacobianState

Computes the Jacobian matrix that has been set with TaoSetJacobianStateRoutine().

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeJacobianState(Tao tao, Vec X, Mat J, Mat Jpre, Mat Jinv)

Collective on Tao Many br

### Input Parameters

| solver | - the Tao solver context Many br
| xx | - input vector Many br

### Output Parameters

| H | - Jacobian matrix Many br
| Hpre | - Preconditioning matrix Many br

### Notes

Most users should not need to explicitly call this routine, as it Many bris used internally within the minimization solvers. Many br

TaoComputeJacobianState() is typically used within minimization Many brimplementations, so most users would not generally call this routine Many brthemselves. Many br

Many br

### See Also

TaoComputeObjective(), TaoComputeObjectiveAndGradient(), TaoSetJacobianStateRoutine(), TaoComputeJacobianDesign(), TaoSetStateDesignIS()

Level:developer
Location:src/tao/interface/taosolver_hj.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages